### Method

# GtkSource HoverContext get_bounds

#### Declaration [src]

    gboolean
    gtk_source_hover_context_get_bounds (
      GtkSourceHoverContext* self,
      GtkTextIter* begin,
      GtkTextIter* end
    )

#### Description [src]

Gets the current word bounds of the hover.

If `begin` is non-`NULL`, it will be set to the start position of the current word being hovered.

If `end` is non-`NULL`, it will be set to the end position for the current word being hovered.

#### Parameters

`begin`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`end`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the marks are still valid and `begin` or `end` was set.